# Create a test environment job Use this operation to create a new job for a specific Test Environment. It handles HTTP POST requests to the /test-environments/{id}/jobs endpoint, accepting a JobRequest object in the request body. Upon successful creation, it returns a JobResponse object and sets the Location header to the polling URL for the created job. ### User Access Permission You must be assigned the Refresh Central Sandbox permission to run this operation. Endpoint: POST /test-environments/{id}/jobs Version: 2026-02-20 Security: bearerAuth ## Header parameters: - `Zuora-Entity-Ids` (string) An entity ID. If you have Zuora Multi-entity enabled and the OAuth token is valid for more than one entity, you must use this header to specify which entity to perform the operation in. If the OAuth token is only valid for a single entity, or you do not have Zuora Multi-entity enabled, you should not set this header. - `Zuora-Track-Id` (string) A custom identifier for tracing the API call. If you set a value for this header, Zuora returns the same value in the response headers. This header enables you to associate your system process identifiers with Zuora API calls, to assist with troubleshooting in the event of an issue. The value of this field must use the US-ASCII character set and must not include any of the following characters: colon (:), semicolon (;), double quote ("), and quote ('). - `Accept-Encoding` (string) Include the Accept-Encoding: gzip header to compress responses as a gzipped file. It can significantly reduce the bandwidth required for a response. If specified, Zuora automatically compresses responses that contain over 1000 bytes of data, and the response contains a Content-Encoding header with the compression algorithm so that your client can decompress it. - `Content-Encoding` (string) Include the Content-Encoding: gzip header to compress a request. With this header specified, you should upload a gzipped file for the request payload instead of sending the JSON payload. ## Path parameters: - `id` (string, required) Test Environment ID ## Request fields (application/json): - `jobType` (string, required) The type of workflow job to be performed on the Test Environment Enum: "REFRESH" - `scheduledRefreshTime` (string) Optional date for scheduling a job ## Response 200 fields (application/json): - `createTime` (string) The date and time when the job was first synced to self service - `createdById` (string) The automatically generated ID of the Zuora user who created the job object Example: "58f182ab203c447b8b9cd90382da030a" - `estimatedCompletionTime` (string) The date and time when the job is estimated to be completed - `id` (string) The unique ID (UUID) of the Test Environment job Example: "11111111-1111-1111-1111-111111111111" - `jobEndTime` (string) The date and time when the job completed - `jobStartTime` (string) The date and time when the job was started - `jobType` (string) The type of Test Environment job being performed Enum: "REFRESH", "CREATE", "DELETE" - `progressPercentage` (integer) The progress percentage of the job - `scheduledRefreshTime` (string) The optional date and time for scheduling a job - `status` (string) The status of the Test Environment job Enum: "NEW", "SCHEDULED", "QUEUED", "INITIATED", "PROVISIONING", "DEPROVISIONING", "EXPORTING", "SCRUBBING", "RESETTING", "IMPORTING", "FINALIZING", "CANCELLING", "COMPLETED", "FAILED", "CANCELLED" - `testEnvironmentId` (string) The Test Environment to which this job belongs Example: "11111111-1111-1111-1111-111111111111" - `updateTime` (string) The date and time when the job was last synced to self-service - `updatedById` (string) The automatically generated ID of the Zuora user who updated the job object Example: "58f182ab203c447b8b9cd90382da030a" ## Response 201 fields (application/json): - `createTime` (string) The date and time when the job was first synced to self service - `createdById` (string) The automatically generated ID of the Zuora user who created the job object Example: "58f182ab203c447b8b9cd90382da030a" - `estimatedCompletionTime` (string) The date and time when the job is estimated to be completed - `id` (string) The unique ID (UUID) of the Test Environment job Example: "11111111-1111-1111-1111-111111111111" - `jobEndTime` (string) The date and time when the job completed - `jobStartTime` (string) The date and time when the job was started - `jobType` (string) The type of Test Environment job being performed Enum: "REFRESH", "CREATE", "DELETE" - `progressPercentage` (integer) The progress percentage of the job - `scheduledRefreshTime` (string) The optional date and time for scheduling a job - `status` (string) The status of the Test Environment job Enum: "NEW", "SCHEDULED", "QUEUED", "INITIATED", "PROVISIONING", "DEPROVISIONING", "EXPORTING", "SCRUBBING", "RESETTING", "IMPORTING", "FINALIZING", "CANCELLING", "COMPLETED", "FAILED", "CANCELLED" - `testEnvironmentId` (string) The Test Environment to which this job belongs Example: "11111111-1111-1111-1111-111111111111" - `updateTime` (string) The date and time when the job was last synced to self-service - `updatedById` (string) The automatically generated ID of the Zuora user who updated the job object Example: "58f182ab203c447b8b9cd90382da030a" ## Response 403 fields ## Response 500 fields